#!/bin/csh

xyz2pipe -in  data/test%03d.fid -x  -verb           \
| nmrPipe  -fn POLY -time                           \
#| nmrPipe  -fn SOL                                  \
| nmrPipe  -fn SP -size 512 -off 0.5 -end 1.00 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto                             \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0               \
| nmrPipe  -fn PS -p0 -125.0  -p1 0.0 -di               \
| nmrPipe  -fn EXT -x1 10.5ppm -xn 6.0ppm -sw       \
| nmrPipe  -fn POLY -auto -ord 0                           \
| pipe2xyz -out data/test%03d.ft1 -x -ov
 
xyz2pipe -in data/test%03d.ft1 -z -verb               \
| nmrPipe  -fn SP -off 0.5 -end 1.00 -pow 1 -c 0.5  \
| nmrPipe  -fn ZF -auto                             \
| nmrPipe  -fn FT -alt                              \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di               \
| nmrPipe  -fn POLY -auto -ord 0                           \
| nmrPipe  -fn TP                                    \
| nmrPipe  -fn POLY -auto -ord 0                           \
| pipe2xyz -out data/test%03d.ft2 -z -ov

xyz2pipe -in data/test%03d.ft2 -y -verb               \
| nmrPipe  -fn LP -pred 18 -ord 10                  \
| nmrPipe  -fn SP -off 0.5 -end 1.00 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto                             \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 0.0 -p1 0                    \
| nmrPipe  -fn PS -p0 -90 -p1 0 -di                   \
| nmrPipe  -fn POLY -auto -ord 0                           \
| nmrPipe  -fn TP                                    \
| nmrPipe  -fn POLY -auto -ord 0                           \
| pipe2xyz -out data/test%03d.ft3 -y -ov

xyz2pipe -in ./data/test%03d.ft3  -y -verb  \
  > ./test.ft3
pipe2ucsf -123 ./test.ft3 nnoesy.ucsf

#xyz2pipe -in ./data/test%03d.ft3 -x -verb    \
#|nmrPipe  -fn ZTP                            \
#|pipe2xyz -nv -out n15noe.nv -ov -verb

