#!/bin/csh

var2pipe -in ./fid -noaswap -aqORD 1 \
  -xN              1024  -yN               264  -zN                60  \
  -xT               512  -yT               132  -zT                30  \
  -xMODE        Complex  -yMODE        Complex  -zMODE        Complex  \
  -xSW         8997.863  -ySW         6598.482  -zSW         4525.143  \
  -xOBS         599.846  -yOBS         599.846  -zOBS         150.837  \
  -xCAR           4.780  -yCAR           4.780  -zCAR         125.000  \
  -xLAB             HC   -yLAB             H1   -zLAB            C13   \
  -ndim               3  -aq2D          States                         \
  -out ./data/test%03d.fid -verb -ov

sleep 5
