#!/bin/csh

xyz2pipe -in data/test%03d.fid -x -verb             \
| nmrPipe  -fn POLY -time                           \
| nmrPipe  -fn SP -size 512 -off 0.45 -end 1.00 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto                             \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0  232.0 -p1 0.0                 \
| nmrPipe  -fn EXT -x1 10.5ppm -xn 5.5ppm -di -sw     \
| nmrPipe  -fn TP                                   \
| nmrPipe  -fn SP -off 0.45 -end 1.00 -pow 1 -c 0.5  \
| nmrPipe  -fn ZF -auto                             \
| nmrPipe  -fn FT                                   \
#| nmrPipe  -fn REV                                  \
#| nmrPipe  -fn SIGN -i                              \
| nmrPipe  -fn PS -p0 -7.0 -p1 0.0 -di               \
| nmrPipe  -fn POLY -auto  -ord 0                           \
| nmrPipe  -fn TP                                   \
| nmrPipe  -fn POLY  -auto -ord 0                           \
| pipe2xyz -out data/test%03d.ft2 -x -ov -verb  \

xyz2pipe  -in data/test%03d.ft2 -z -verb           \
| nmrPipe  -fn LP -fb                               \
| nmrPipe  -fn SP -off 0.45 -end 1.00 -pow 1 -c 0.5  \
| nmrPipe  -fn ZF -auto                              \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di               \
#| nmrPipe  -fn CS -ls 1.5ppm -sw                      \
| nmrPipe  -fn POLY -auto -ord 0                           \
| nmrPipe  -fn TP                                   \
| nmrPipe  -fn POLY  -auto -ord 0                           \
| pipe2xyz -out data/test%03d.ft3 -z

xyz2pipe -in ./data/test%03d.ft3  -y -verb  \
  > ./test.ft3
pipe2ucsf -123 ./test.ft3 cbcaconh.ucsf

#xyz2pipe -in ./data/test%03d.ft3 -x -verb    \
#|nmrPipe  -fn ZTP                            \
#|pipe2xyz -nv -out cbcaconh.nv -ov -verb

