#!/bin/csh

var2pipe -in ./fid -noaswap -aqORD 1 \
  -xN              1024  -yN               128  -zN                76  \
  -xT               512  -yT                64  -zT                38  \
  -xMODE        Complex  -yMODE        Complex  -zMODE      Rance-Kay  \
  -xSW        10813.733  -ySW         9804.417  -zSW         1945.241  \
  -xOBS         599.846  -yOBS         150.837  -zOBS          60.789  \
  -xCAR           4.780  -yCAR          46.000  -zCAR         117.000  \
  -xLAB              H1  -yLAB             C13  -zLAB             N15  \
  -ndim               3  -aq2D          States                         \
  -out ./data/test%03d.fid -verb -ov

sleep 5
