#!/bin/csh
#

xyz2pipe -in ./data/test%03d.fid  -x  -verb                    \
| nmrPipe  -fn POLY -time                                      \
| nmrPipe  -fn SP -size 512 -off 0.50 -end 1.00 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto                                        \
| nmrPipe  -fn FT                                              \
| nmrPipe  -fn PS -p0  233 -p1 0 -di                           \
| nmrPipe  -fn EXT -x1 10.5ppm -xn 6.0ppm -sw                  \
| nmrPipe  -fn TP                                              \
| nmrPipe  -fn SP -off 0.5 -end 1.00 -pow 1 -c 1.0             \
| nmrPipe  -fn ZF -auto                                        \
| nmrPipe  -fn FT                                              \
| nmrPipe  -fn PS -p0 -90 -p1 180                              \
| nmrPipe  -fn PS -p0 -0 -p1 0 -di                             \
#| nmrPipe  -fn CS -rs 2.0ppm -sw                              \
| nmrPipe  -fn POLY -auto -ord 0                               \
| nmrPipe  -fn TP                                              \
| nmrPipe  -fn POLY -auto -ord 0                               \
| pipe2xyz -out ./data/test%03d.ft2  -y -ov -verb      

xyz2pipe -in  ./data/test%03d.ft2  -z  -verb                   \
| nmrPipe  -fn LP -fb                                          \
| nmrPipe  -fn SP -off 0.45 -end 1.00 -pow 1 -c 0.5            \
| nmrPipe  -fn ZF -auto                                        \
| nmrPipe  -fn FT                                              \
| nmrPipe  -fn PS -p0 0 -p1 0 -di                              \
| nmrPipe  -fn POLY -auto -ord 0                               \
| nmrPipe  -fn TP                                              \
| nmrPipe  -fn POLY -auto -ord 0                               \
| pipe2xyz -out ./data/test%03d.ft3  -z  -ov -verb     

xyz2pipe -in ./data/test%03d.ft3  -y -verb  \
  > ./test.ft3
pipe2ucsf -123 ./test.ft3 hnco.ucsf

# MagRO strictly requires correct axis-order
# HN(X)-13C(Y)-15N(Z)

#xyz2pipe -in ./data/test%03d.ft3 -x -verb    \
#|nmrPipe  -fn ZTP                            \
#|nmrPipe  -fn TP                             \
#|pipe2xyz -nv -out hnco.nv -ov -verb

