#!/bin/csh

var2pipe -in ./fid -noaswap -aqORD 1 \
  -xN              1024  -yN               140  -zN               200  \
  -xT               512  -yT                70  -zT               100  \
  -xMODE        Complex  -yMODE        Complex  -zMODE        Complex  \
  -xSW        11001.100  -ySW         4801.529  -zSW        10565.240  \
  -xOBS         600.191  -yOBS         600.191  -zOBS         150.924  \
  -xCAR           4.780  -yCAR           4.780  -zCAR          43.000  \
  -xLAB             H1   -yLAB             H2   -zLAB            C13   \
  -ndim               3  -aq2D          States                         \
  -out ./data/test%03d.fid -verb -ov

sleep 5
