#!/bin/csh

xyz2pipe  -in data/test%03d.fid -x -verb                         \
   | nmrPipe  -fn POLY -time                                     \
   | nmrPipe  -fn SP -size 512 -off 0.5 -end 0.99 -pow 2 -c 0.5            \
   | nmrPipe  -fn ZF -auto                                       \
   | nmrPipe  -fn FT                                             \
   | nmrPipe  -fn PS -p0 -137.0 -p1 0.0                         \
   | nmrPipe  -fn EXT -x1 -0.5ppm -xn 6.5ppm -di -sw     \
   | nmrPipe  -fn TP                                             \
   | nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5            \
   | nmrPipe  -fn ZF -auto                                       \
   | nmrPipe  -fn FT                                             \
   | nmrPipe  -fn PS -p0 0.0 -p1  0.0                           \
   | nmrPipe  -fn CS  -ls 2ppm   -sw                           \
   | nmrPipe  -fn EXT -x1 -1ppm -xn 6.5ppm -di -sw     \
   | nmrPipe  -fn TP                                             \
   | nmrPipe  -fn POLY -auto -ord 0                                    \
   | nmrPipe  -fn TP                                    \
   | nmrPipe  -fn POLY -auto -ord 0                        \
   | pipe2xyz -out data/test%03d.ft2 -x -ov

xyz2pipe -in data/test%03d.ft2 -z -verb                        \
#   | nmrPipe  -fn LP -fb                                         \
   | nmrPipe  -fn SP -off 0.50 -end 0.99 -pow 1 -c 0.5            \
   | nmrPipe  -fn ZF -auto                                       \
   | nmrPipe  -fn FT                                             \
   | nmrPipe  -fn PS -p0  0.0 -p1 0.0 -di                       \
   | nmrPipe  -fn POLY -ord 0                        \
   | pipe2xyz -out data/test%03d.ft3 -z -verb -ov

xyz2pipe -in ./data/test%03d.ft3  -y -verb  \
  > ./test.ft3
pipe2ucsf -123 ./test.ft3 hccht.ucsf

#xyz2pipe -in ./data/test%03d.ft3 -x -verb    \
#|pipe2xyz -nv -out hccht.nv -ov -verb


