#!/bin/csh


nmrPipe -in ./test.fid  \
| nmrPipe  -fn POLY -time                                     \
| nmrPipe  -fn SP -size 512 -off 0.4 -end 1.00 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto                                        \
| nmrPipe  -fn FT                                              \
| nmrPipe  -fn PS -p0 0 -p1 0                                  \
| nmrPipe  -fn PS -p0 -123 -p1 0 -di                           \
| nmrPipe  -fn EXT -x1 10.5ppm -xn 6.0ppm -sw                  \
| nmrPipe  -fn TP                                              \
| nmrPipe  -fn LP -ps0-0                                       \
| nmrPipe  -fn SP -off 0.4 -end 1.00 -pow 1  -c 0.5            \
| nmrPipe  -fn ZF -auto                                        \
| nmrPipe  -fn FT                                              \
| nmrPipe  -fn PS -p0 90 -p1 0 -di                             \
| nmrPipe  -fn POLY -auto -ord 0                               \
| nmrPipe  -fn TP                                              \
| nmrPipe  -fn POLY -auto -ord 0                               \
   -verb -ov -out test.ft2

pipe2ucsf -21 test.ft2 nhsqc.ucsf

#nmrPipe -in test.ft2 -verb    \
#|pipe2xyz -nv -out nhsqc.nv -ov -verb

