#!/bin/csh

var2pipe -in ./fid -noaswap  \
  -xN              1024  -yN               120  \
  -xT               512  -yT                60  \
  -xMODE        Complex  -yMODE        Complex  \
  -xSW         8997.863  -ySW         4525.066  \
  -xOBS         599.846  -yOBS         150.836  \
  -xCAR           4.780  -yCAR         125.000  \
  -xLAB              H1  -yLAB             C13  \
  -ndim               2  -aq2D          States  \
  -out ./test.fid -verb -ov

sleep 5
