#!/bin/csh


nmrPipe -in test.fid                                     \
| nmrPipe  -fn POLY -time                                \
| nmrPipe  -fn SP -size 512 -off 0.4 -end 1.00 -pow 2 -c 0.5       \
| nmrPipe  -fn ZF -auto                                  \
| nmrPipe  -fn FT                                        \
| nmrPipe  -fn PS -p0 47 -p1 0.0                    \
| nmrPipe  -fn EXT -x1 6.0ppm -xn 8.8ppm -di -sw -verb     \
| nmrPipe  -fn TP                                        \
| nmrPipe  -fn LP -fb                                    \
| nmrPipe  -fn SP -off 0.5 -end 1.00 -pow 1 -c 0.5       \
| nmrPipe  -fn ZF -auto                                  \
| nmrPipe  -fn FT                                        \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di                     \
#| nmrPipe  -fn EXT -x1 110ppm -xn 140ppm -di -sw -verb     \
#| nmrPipe  -fn REV                                      \
| nmrPipe  -fn POLY -ord 0                                \
| nmrPipe  -fn TP                                        \
| nmrPipe  -fn POLY -ord 0                                \
-verb -ov -out test.ft2

pipe2ucsf -12 ./test.ft2 chsqc_arom.ucsf

#nmrPipe -in test.ft2 -verb    \
#|pipe2xyz -nv -out chsqc_arom.nv -ov -verb
 
