#!/bin/csh

xyz2pipe  -in data/test%03d.fid -x -verb                         \
   | nmrPipe  -fn POLY -time                                     \
#   | nmrPipe  -fn SOL                                            \
   | nmrPipe  -fn SP -size 512 -off 0.5 -end 1.00 -pow 2 -c 1.0  \
   | nmrPipe  -fn ZF -auto                                       \
   | nmrPipe  -fn FT                                             \
   | nmrPipe  -fn PS -p0  -150.0 -p1 0.0                         \
   | nmrPipe  -fn PS -p0  -72.0 -p1 0.0   -di                      \
   | nmrPipe  -fn EXT -x1   6.0ppm -xn 8.8ppm  -sw -verb  \
   | nmrPipe  -fn POLY -auto -ord 0                        \
   | nmrPipe  -fn TP                                             \
   | nmrPipe  -fn SP -off 0.50 -end 1.00 -pow 2 -c 0.5            \
   | nmrPipe  -fn ZF -auto                                       \
   | nmrPipe  -fn FT                                             \
   | nmrPipe  -fn PS -p0 0 -p1  0.0 -di                       \
#   | nmrPipe  -fn CS  -ls 0.3ppm   -sw                           \
   | nmrPipe  -fn TP                                             \
   | nmrPipe  -fn POLY -auto -ord 0                               \
   | nmrPipe  -fn TP                                    \
   | nmrPipe  -fn POLY -auto -ord 0                        \
   | pipe2xyz -out data/test%03d.ft2 -x -ov

xyz2pipe -in data/test%03d.ft2 -z -verb                        \
   | nmrPipe  -fn LP -fb                                         \
   | nmrPipe  -fn SP -off 0.5 -end 1.00 -pow 1 -c 0.5            \
   | nmrPipe  -fn ZF -auto                                       \
   | nmrPipe  -fn FT                                             \
   | nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di                       \
   | nmrPipe  -fn POLY -auto -ord 0                        \
   | nmrPipe  -fn TP                                    \
   | nmrPipe  -fn POLY -auto -ord 0                        \
   | pipe2xyz -out data/test%03d.ft3 -z -verb -ov

xyz2pipe -in ./data/test%03d.ft3  -y -verb  \
  > ./test.ft3
pipe2ucsf -123 ./test.ft3 c13noe_ar.ucsf

#xyz2pipe -in ./data/test%03d.ft3 -z -verb   \
#|nmrPipe  -fn TP                            \
#|nmrPipe  -fn ZTP                           \
#|pipe2xyz -nv -out c13noe_arom.nv -ov -verb


